#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);

    int n, x;
    cin >> n >> x;

    int levo = x, desno = x;

    for(int i = 0; i < n; i++)
    {
        int a;
        cin >> a;
        if(a < levo)
        {
            levo = a;
        }
        if(a > desno)
        {
            desno = a;
        }
    }


    cout << desno - levo + min(x - levo, desno - x) << endl;

    return 0;
}